// TCPUButton



#pragma once

extern "C" int  _kget_cpu_state_(int cpu);
extern "C" int  _kset_cpu_state_(int cpu, int enabled);


class TCPUButton : public BCheckBox
{
public:
	TCPUButton(long cpu, BRect frame, char *name, char *label, BMessage *msg, ulong mode = B_FOLLOW_LEFT|B_FOLLOW_TOP, ulong flags = B_WILL_DRAW|B_NAVIGABLE|B_PULSE_NEEDED);
	virtual void SetValue(long value);
	virtual void Draw(BRect frame);
	virtual void AttachedToWindow();
	virtual	void Pulse();
	virtual void MouseMoved(BPoint inPoint, ulong inState, BMessage *inMsg);
private:
			void	ResetCPUActive();
			long	mCPU;
	static 	long mCPUActive;
	static 	long mCPUNum;
	
			bool mHighlighted;
};
