// TStatsCollector.h

class TStatsCollector
{
public:
	TStatsCollector(double inMinInterval);
	
	
			void 		Update();
			system_info	*SystemInfo();
			long 		GetCPUUtilization(short inCPU);
			long		GetTotalUtilization();
			long		GetMaxUtilization() { return mCPUMax; }
			
			void		SetMinInterval(double i) { mMinInterval = i;}
//			double		GetPaging();
private:

system_info	mInfo[2];

double		mLastTime;
double		mMinInterval;
long		mCurrentStructure;  // Actually the number of the next 
								// structure, not the current one
								// Do'h.

long		mCPUUsage[8];
long		mCPUTotal;
long		mCPUMax;

};