/*
* $Log: TSystemMonitor.cpp,v $
* Revision 1.1  1997/04/05 15:56:04  elvis
* Initial revision
*
*/

#include <Application.h>
#include <Window.h>
#include <stdio.h>

#include "debug.h"

#include "TSystemMonitor.h"
#include "TWindow.h"
#include "TStatsView.h"

#include "TStatsCollector.h"

#define	signature	'TMon'

TStatsCollector	*gCollector;

TSystemMonitor::TSystemMonitor()
	: BApplication(signature)
{

}

void
TSystemMonitor::ReadyToRun()
{
	gCollector = new TStatsCollector(300000);


	BRect	theRect(40,40,475,340);
	
	TWindow *theWindow = new TWindow(theRect, "System Monitor", B_TITLED_WINDOW, 
										0 , B_CURRENT_WORKSPACE);
	theWindow->Show();
}

bool
TSystemMonitor::QuitRequested()
{
	return TRUE;
}

void
TSystemMonitor::AboutRequested()
{
	BAlert *theAlert;
	
	theAlert = new BAlert ( "SystemMonitor", "SystemMonitor by Trevor Walker","OK");
	theAlert->Go();
}