/*
* $Log: TProcessView.cpp,v $
* Revision 1.1  1997/04/05 15:56:04  elvis
* Initial revision
*
*/

#include "TProcessView.h"
#include <kernel/OS.h>
#include "stdio.h"

#include "TSwissArmyView.h"


TProcessView::TProcessView(BRect inFrame, const char *inName, ulong inResizingMode, ulong inFlags)
	: BView(inFrame, inName, B_FOLLOW_ALL, inFlags)
{
	inFrame.OffsetTo(0,0);
	inFrame.InsetBy(20,20);
	TSwissArmyView *theView = new TSwissArmyView( inFrame, "", B_FOLLOW_ALL, 0);
	AddChild (theView);
	
	BPopUpMenu* theMenu = new BPopUpMenu("Context Menu",false,false);
	
	BMenuItem *item = new BMenuItem("About TClock...", new BMessage (B_ABOUT_REQUESTED));
	item->SetTarget(be_app);
	theMenu->AddItem(item);
	
	item = new BMenuItem("Quit", new BMessage (B_QUIT_REQUESTED),'Q');
	item->SetTarget(be_app);
	theMenu->AddItem(item);

	theView->SetContextMenu(theMenu);
}

void
TProcessView::Pulse()
{

}

void
TProcessView::MessageReceived(BMessage *msg)
{

}

