/*
* $Log: TTeamView.cpp,v $
* Revision 1.1  1997/04/05 15:56:04  elvis
* Initial revision
*
*/

#include "TTeamView.h"
#include <kernel/OS.h>
#include "stdio.h"

#include "T3DFrameView.h"
#include "colors.h"

TTeamView::TTeamView(BRect inFrame, const char *inName, ulong inResizingMode, ulong inFlags)
	: BView(inFrame, inName, B_FOLLOW_ALL, inFlags)
{

	inFrame.OffsetTo(0,0);
	inFrame.InsetBy(5,5);
	T3DFrameView *theFrame = new T3DFrameView ( inFrame, "Test", B_FOLLOW_ALL, 1, T_ALL_SIDES );
	theFrame->SetViewColor(mdGray);
//	theFrame->SetUseMid(false);
	theFrame->SetDark(dkGray);
	theFrame->SetLight(ltGray);
	theFrame->SetMid(ltGray);
	theFrame->SetInverted(true);
	theFrame->SetLeftLabelLead(4);
	theFrame->SetCaption("This is a test view");
	AddChild(theFrame);
	
	BPopUpMenu* theMenu = new BPopUpMenu("Context Menu",false,false);
	
	BMenuItem *item = new BMenuItem("About TClock...", new BMessage (B_ABOUT_REQUESTED));
	item->SetTarget(be_app);
	theMenu->AddItem(item);
	
	item = new BMenuItem("Quit", new BMessage (B_QUIT_REQUESTED),'Q');
	item->SetTarget(be_app);
	theMenu->AddItem(item);

	theFrame->SetContextMenu(theMenu);
}

void
TTeamView::Pulse()
{

}

void
TTeamView::MessageReceived(BMessage *msg)
{

}

